{***************************************************}
{ ClockDemo.pas                                     }
{                                                   }
{ Bentigt die utility.library und das              }
{ Battclock.resource                                }
{ Luft erst ab OS 2.0                              }
{***************************************************}
PROGRAM ClockDemo;

Uses Exec, Utility, BattClock;

VAR
  { Hier legen wir die bentigten Daten ab }
  Current  : pClockData;

BEGIN
  { ffnen der utility.library }
  UtilityBase:=OpenLibrary('utility.library',36);
  { ffnen der Ressource }
  BattClockBase:=OpenResource(BATTCLOCKNAME);

  IF (BattClockBase<>NIL)AND(UtilityBase<>NIL) THEN
    BEGIN
      { Speicher fr die Daten bereitstellen }
      NEW(Current);
      { Konvertiere das Amiga-Datum }
      Amiga2Date(ReadBattClock,Current);

      write('Aktuelle Zeit: ');
      writeln(Current^.hour,':',Current^.min,':',
                                   Current^.sec);
      write('Aktuelles Datum: ');
      writeln(Current^.mday,'-',Current^.month,'-',
                                  Current^.year);
      write('Wochentag: ');
      CASE Current^.wday OF
        1: Writeln('Montag');     { Current^.wday=1 }
        2: Writeln('Dienstag');   { Current^.wday=2 }
        3: Writeln('Mittwoch');   { Current^.wday=3 }
        4: Writeln('Donnerstag'); { Current^.wday=4 }
        5: Writeln('Freitag');    { Current^.wday=5 }
        6: Writeln('Samstag');    { Current^.wday=6 }
        7: Writeln('Sonntag');    { Current^.wday=7 }
      END;

      CloseLibrary(UtilityBase);
    END
  ELSE
    IF BattClockBase=NIL THEN
      BEGIN
        Writeln('Das Battclock.Ressource lie sich
                                   nicht ffnen');
        CloseLibrary(UtilityBase);
      END
    ELSE
      Writeln('Fehler bei Utility.library');
END.
